package com.yeejoin.amos.boot.module.tcm.api.mapper;

import com.yeejoin.amos.boot.module.tcm.api.dto.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 大屏Mapper 接口
 *
 * @author maxy
 * @date 2024-07-09
 */
@Mapper
public interface ScreenMapper {


    List<Map<String, Object>> getCompanyInfo(@Param("screenDto") ScreenDto screenDto);

    List<Map<String, Object>> testOrg(@Param("screenDto") ScreenDto screenDto);

    List<Map<String, String>> userCount(@Param("screenDto") ScreenDto screenDto);

    List<Map<String, Object>> supervisorCount(@Param("screenDto") ScreenDto screenDto);
}
